Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.protocols.email.beans
Class BodyPartRelationship

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Relationship
                          oracle.ifs.beans.TieRelationship
                              oracle.ifs.beans.FolderRelationship
                                  oracle.ifs.beans.TieFolderRelationship
                                      oracle.ifs.beans.FolderPathRelationship
                                          oracle.ifs.beans.TieFolderPathRelationship
                                              oracle.ifs.protocols.email.beans.BodyPartRelationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieBodyPartRelationship

    public class BodyPartRelationship

extends TieFolderPathRelationship

This subclass of FolderRelationship is used for email.

(Unpublished)

Field Summary
`static java.lang.String` | `BYTECOUNT_ATTRIBUTE` Name of the ByteCount Attribute
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `LINECOUNT_ATTRIBUTE` Name of the LineCount Attribute
`static java.lang.String` | `MIME_CONTENT_DESCRIPTION_ATTRIBUTE`
`static java.lang.String` | `MIME_CONTENT_DISPOSITION_ATTRIBUTE`
`static java.lang.String` | `MIME_CONTENT_ID_ATTRIBUTE`
`static java.lang.String` | `MIME_CONTENT_TRANSFER_ENCODING_ATTRIBUTE`
`static java.lang.String` | `MIME_CONTENT_TYPE_ATTRIBUTE`
`static java.lang.String` | `MIME_CONTENT_TYPE_PARAM_ATTRIBUTE`
`static java.lang.String` | `MIME_HEADER_ATTRIBUTE`
`static java.lang.String` | `MIMECONTENTDESCRIPTION_ATTRIBUTE` Name of the MimeContentDescription Attribute
`static java.lang.String` | `MIMECONTENTDISPOSITION_ATTRIBUTE` Name of the MimeContentDisposition Attribute
`static java.lang.String` | `MIMECONTENTDISPOSITIONPARAM_ATTRIBUTE`
`static java.lang.String` | `MIMECONTENTDISPOSITIONPARAMETERS_ATTRIBUTE` Name of the MimeContentDispositionParameters Attribute
`static java.lang.String` | `MIMECONTENTID_ATTRIBUTE` Name of the MimeContentId Attribute
`static java.lang.String` | `MIMECONTENTTRANSFERENCODING_ATTRIBUTE` Name of the MimeContentTransferEncoding Attribute
`static java.lang.String` | `MIMECONTENTTYPE_ATTRIBUTE` Name of the MimeContentType Attribute
`static java.lang.String` | `MIMECONTENTTYPEPARAMETERS_ATTRIBUTE` Name of the MimeContentTypeParameters Attribute
`static java.lang.String` | `MIMEHEADER_ATTRIBUTE` Name of the MimeHeader Attribute
`static java.lang.String` | `RELATIONSHIPLOCK_ATTRIBUTE` Name of the RelationshipLock Attribute

Fields inherited from class oracle.ifs.beans.FolderPathRelationship
`LEFTOBJECTCOPY_ATTRIBUTE, RIGHTOBJECTNAME_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.Relationship
`LEFTOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, RIGHTOBJECT_ATTRIBUTE, SORTSEQUENCE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `BodyPartRelationship(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a BodyPartRelationship object - standard variant.

Method Summary
`long` | `getByteCount()` Gets the byte count.
`java.lang.String` | `getContentDescription()` Gets the content description.
`java.lang.String` | `getContentDisposition()` Gets the MIME content disposition.
`PropertyBundle` | `getContentDispositionParameters()` Gets the MIME content disposition parameters
`java.lang.String` | `getContentId()` Gets the MIME content id.
`java.lang.String` | `getContentTransferEncoding()` Gets the MIME content transfer encoding.
`java.lang.String` | `getContentType()` Gets the MIME content type.
`PropertyBundle` | `getContentTypeParameter()` Gets the MIME content type parameter
`int` | `getCount()` getCount() Get the number of body parts in the message This is part of the MultipartDataSource interface.
`java.lang.String[]` | `getHeader()` Gets the MIME header.
`java.io.InputStream` | `getInputStream()` getInputStream() Get an input stream representing the data This is part of the DataSource interface.
`long` | `getLineCount()` Gets the line count.
`java.io.OutputStream` | `getOutputStream()` getOutputStream() Get an OutputStream to write data to the message.
`boolean` | `isRelLocked()` Determines whether this BodyPartRelationship is locked.

Methods inherited from class oracle.ifs.beans.FolderPathRelationship
`constructFolderPathRelationship, constructFolderPathRelationshipVector`

Methods inherited from class oracle.ifs.beans.FolderRelationship
`constructFolderRelationship, constructFolderRelationshipVector`

Methods inherited from class oracle.ifs.beans.Relationship
`constructRelationship, constructRelationshipVector, getLeftObject, getRightObject, getSortSequence, hasNameAttribute, vectorToRelationshipArray`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `BodyPartRelationship`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### MIMECONTENTTYPE_ATTRIBUTE

    public static final java.lang.String MIMECONTENTTYPE_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the MimeContentType Attribute

  See Also:
    Constant Field Values
  (Published)

### MIMECONTENTTYPEPARAMETERS_ATTRIBUTE

    public static final java.lang.String MIMECONTENTTYPEPARAMETERS_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the MimeContentTypeParameters Attribute

  See Also:
    Constant Field Values
  (Published)

### MIME_CONTENT_TYPE_ATTRIBUTE

    public static final java.lang.String MIME_CONTENT_TYPE_ATTRIBUTE

See Also:
  Constant Field Values

### MIME_CONTENT_TYPE_PARAM_ATTRIBUTE

    public static final java.lang.String MIME_CONTENT_TYPE_PARAM_ATTRIBUTE

See Also:
  Constant Field Values

### MIME_CONTENT_TRANSFER_ENCODING_ATTRIBUTE

    public static final java.lang.String MIME_CONTENT_TRANSFER_ENCODING_ATTRIBUTE

See Also:
  Constant Field Values

### MIME_CONTENT_ID_ATTRIBUTE

    public static final java.lang.String MIME_CONTENT_ID_ATTRIBUTE

See Also:
  Constant Field Values

### MIME_CONTENT_DESCRIPTION_ATTRIBUTE

    public static final java.lang.String MIME_CONTENT_DESCRIPTION_ATTRIBUTE

See Also:
  Constant Field Values

### MIME_HEADER_ATTRIBUTE

    public static final java.lang.String MIME_HEADER_ATTRIBUTE

See Also:
  Constant Field Values

### MIME_CONTENT_DISPOSITION_ATTRIBUTE

    public static final java.lang.String MIME_CONTENT_DISPOSITION_ATTRIBUTE

See Also:
  Constant Field Values

### MIMECONTENTDISPOSITIONPARAM_ATTRIBUTE

    public static final java.lang.String MIMECONTENTDISPOSITIONPARAM_ATTRIBUTE

See Also:
  Constant Field Values

### MIMECONTENTTRANSFERENCODING_ATTRIBUTE

    public static final java.lang.String MIMECONTENTTRANSFERENCODING_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the MimeContentTransferEncoding Attribute

  See Also:
    Constant Field Values
  (Published)

### MIMECONTENTID_ATTRIBUTE

    public static final java.lang.String MIMECONTENTID_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the MimeContentId Attribute

  See Also:
    Constant Field Values
  (Published)

### MIMECONTENTDESCRIPTION_ATTRIBUTE

    public static final java.lang.String MIMECONTENTDESCRIPTION_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the MimeContentDescription Attribute

  See Also:
    Constant Field Values
  (Published)

### MIMEHEADER_ATTRIBUTE

    public static final java.lang.String MIMEHEADER_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the MimeHeader Attribute

  See Also:
    Constant Field Values
  (Published)

### MIMECONTENTDISPOSITION_ATTRIBUTE

    public static final java.lang.String MIMECONTENTDISPOSITION_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the MimeContentDisposition Attribute

  See Also:
    Constant Field Values
  (Published)

### MIMECONTENTDISPOSITIONPARAMETERS_ATTRIBUTE

    public static final java.lang.String MIMECONTENTDISPOSITIONPARAMETERS_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the MimeContentDispositionParameters Attribute

  See Also:
    Constant Field Values
  (Published)

### RELATIONSHIPLOCK_ATTRIBUTE

    public static final java.lang.String RELATIONSHIPLOCK_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the RelationshipLock Attribute

  See Also:
    Constant Field Values
  (Published)

### BYTECOUNT_ATTRIBUTE

    public static final java.lang.String BYTECOUNT_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the ByteCount Attribute

  See Also:
    Constant Field Values
  (Published)

### LINECOUNT_ATTRIBUTE

    public static final java.lang.String LINECOUNT_ATTRIBUTE

  Description copied from class: `BodyPartRelationship`
  Name of the LineCount Attribute

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### BodyPartRelationship

    protected BodyPartRelationship(LibrarySession session,
                                   java.lang.Long id,
                                   java.lang.Long classId,
                                   S_LibraryObjectData data)
                            throws IfsException

  Construct a BodyPartRelationship object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` - the object ID
    `classId` - the class ID
    `data` - attribute setting Hashtable
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Method Detail

### getContentType

    public java.lang.String getContentType()
                                    throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the MIME content type.

  Returns:
    String value of MIME content type attribute.
  Throws:
    `IfsException` - if operation fails.

### getContentTypeParameter

    public PropertyBundle getContentTypeParameter()
                                           throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the MIME content type parameter

  Returns:
    PropertyBundle value of MIME content type parameter attribute.
  Throws:
    `IfsException` - if operation fails.

### getContentTransferEncoding

    public java.lang.String getContentTransferEncoding()
                                                throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the MIME content transfer encoding.

  Returns:
    String value of MIME content transfer encoding attribute.
  Throws:
    `IfsException` - if operation fails.

### getContentId

    public java.lang.String getContentId()
                                  throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the MIME content id.

  Returns:
    String value of MIME content id attribute.
  Throws:
    `IfsException` - if operation fails.

### isRelLocked

    public boolean isRelLocked()
                        throws IfsException

  Description copied from class: `BodyPartRelationship`
  Determines whether this BodyPartRelationship is locked.

  Returns:
    boolean value TRUE or FALSE.
  Throws:
    `IfsException` - if operation fails.

### getByteCount

    public long getByteCount()
                      throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the byte count.

  Returns:
    long value of the byte count.
  Throws:
    `IfsException` - if operation fails.

### getLineCount

    public long getLineCount()
                      throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the line count.

  Returns:
    long value of the line count.
  Throws:
    `IfsException` - if operation fails.

### getContentDescription

    public java.lang.String getContentDescription()
                                           throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the content description.

  Returns:
    String value of MIME content description attribute.
  Throws:
    `IfsException` - if operation fails.

### getHeader

    public java.lang.String[] getHeader()
                                 throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the MIME header.

  Returns:
    String value of MIME header attribute.
  Throws:
    `IfsException` - if operation fails.

### getContentDisposition

    public java.lang.String getContentDisposition()
                                           throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the MIME content disposition.

  Returns:
    String value of MIME content disposition attribute.
  Throws:
    `IfsException` - if operation fails.

### getContentDispositionParameters

    public PropertyBundle getContentDispositionParameters()
                                                   throws IfsException

  Description copied from class: `BodyPartRelationship`
  Gets the MIME content disposition parameters

  Returns:
    PropertyBundle value of MIME content disposition parameters attribute.
  Throws:
    `IfsException` - if operation fails.

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from class: `BodyPartRelationship`
  getInputStream() Get an input stream representing the data This is part of the DataSource interface.

  Throws:
    `java.io.IOException`
  (Unpublished)

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Description copied from class: `BodyPartRelationship`
  getOutputStream() Get an OutputStream to write data to the message. This is part of the DataSource interface.

  Throws:
    `java.io.IOException`
  (Unpublished)

### getCount

    public int getCount()

  Description copied from class: `BodyPartRelationship`
  getCount() Get the number of body parts in the message This is part of the MultipartDataSource interface.

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD